Update settings

Base URL
https://{kibana_url}
  • PUT /api/fleet/settings
  • PUT /s/{space_id}/api/fleet/settings
Auth

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Request body

additional_yaml_config string
fleet_server_hosts string[]

Protocol and path must be the same for each URL

has_seen_add_data_notice boolean

Responses

OK

application/json
item object required
fleet_server_hosts string[] required deprecated
has_seen_add_data_notice boolean
id string required
prerelease_integrations_enabled boolean
Base URL
https://{kibana_url}